Unit TestMZSQL_Main;

{$mode objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, DB, Forms, Controls, Graphics, Dialogs, StdCtrls, DBCtrls, DBGrids, ZMConnection, ZMQueryDataSet;

Const
  MyDBPath       = 'C:\Temp' ;
  MyCSVFileName  = 'Test.csv';

Type

  { TForm1 }

  TForm1 = Class(TForm)
    btn_LoadCSV: TButton;
    btn_ExecSQL: TButton;
    CSVSQLDataSet: TZMQueryDataSet;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Label1: TLabel;
    Memo1: TMemo;
    ZMConnection1: TZMConnection;
    CSVFileDataSet: TZMQueryDataSet;
    Procedure btn_ExecSQLClick(Sender: TObject);
    Procedure btn_LoadCSVClick(Sender: TObject);
  private

  public

  End;

Var
  Form1: TForm1;

Implementation

{$R *.lfm}

{ TForm1 }

Procedure TForm1.btn_LoadCSVClick(Sender: TObject);
Begin
  ZMConnection1.DatabasePath := MyDBPath;
  ZMConnection1.Connect;
  CSVFileDataSet.LoadFromTable;
end;

Procedure TForm1.btn_ExecSQLClick(Sender: TObject);
Begin
  with CSVSQLDataSet Do
  begin
    SQL.Text := Memo1.Lines.Text;
    QueryExecute;
    //What is missing so that the data is stored in the file? A mention is made of Commit but there is no Commit method in the
    //the TZMQueryDataSet ...
  End;
  CSVFileDataSet.LoadFromTable;
end;

End.

